<?php

namespace Drupal\commerce_shipping_colissimo;

use Drupal\commerce_shipping\ProfileFieldCopy;
use Drupal\Core\Form\FormStateInterface;
use Drupal\Core\Session\AccountInterface;

/**
 * If the a colissimo relay method is selected, disable billing same as
 * shipping.
 */
final class ColissimoProfileFieldCopy extends ProfileFieldCopy {

  protected RelayFormHelper $relayFormHelper;

  public function __construct(AccountInterface $currentUser, RelayFormHelper $relayFormHelper) {
    parent::__construct($currentUser);
    $this->relayFormHelper = $relayFormHelper;
  }

  /**
   * {@inheritdoc}
   */
  public function supportsForm(array &$inlineForm, FormStateInterface $formState) {
    if ($this->relayFormHelper->isColissimoRelay($formState)) {
      return FALSE;
    }
    return parent::supportsForm($inlineForm, $formState);
  }

}
