<?php

namespace Drupal\commerce_shipping_colissimo;

/**
 * Validate/format phone numbers according to colissimo api rules.
 */
class MobilePhoneNumber {

  private string $number;

  public function __construct(?string $number) {
    $this->number = $number ?: '';
  }

  public function format(): string {
    return preg_replace("/[^0-9+]/", '', $this->number);
  }

  public function isValid() {
    return preg_match('/^\+?[0-9]{10,}$/', $this->format()) === 1;
  }

}
